ClusterConnectionMulticastSchema (ActiveMQ Artemis Web 1.5.3.jbossorg-002 API)
Date: 2017-02-15

org.apache.activemq.artemis.uri.schemas.clusterConnection

## Class ClusterConnectionMulticastSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration,String>
  - - org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionStaticSchema
    - - org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionMulticastSchema

-     public class ClusterConnectionMulticastSchema
      extends ClusterConnectionStaticSchema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterConnectionMulticastSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSchemaName()`
    `void` | `populateObject(URI uri, org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.uri.schemas.clusterConnection.ClusterConnectionStaticSchema

      `internalNewObject, internalNewURI`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterConnectionMulticastSchema

          public ClusterConnectionMulticastSchema()

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Overrides:
        `getSchemaName` in class `ClusterConnectionStaticSchema`

    - #### populateObject

          public void populateObject(URI uri,
                                     org.apache.activemq.artemis.core.config.ClusterConnectionConfiguration bean)
                              throws Exception

      Overrides:
        `populateObject` in class `ClusterConnectionStaticSchema`
      Throws:
        `Exception`

Copyright © 2017 The Apache Software Foundation. All rights reserved.